Imagick::normalizeImage
Imagick::opaquePaintImage
Imagick
PHP Manual

# Imagick::oilPaintImage

Simulates an oil painting

### Description

bool Imagick::oilPaintImage ( float `$radius` )

Applies a special effect filter that simulates an oil painting. Each pixel is replaced by the most frequent color occurring in a circular region defined by radius.

### Parameters

`radius`

  The radius of the circular neighborhood.

### Return Values

Returns `TRUE` on success.